29.10.10 - fidoip-1.0.5_3.tar и first-steps-to-fidonet-video-guide.avi  

1. Записан краткий обучающий курс "Первые шаги в сети Фидонет"(http://downloads.sourceforge.net/project/fidoip/media/videoguide/first-steps-to-fidonet-video-guide.avi, продолжительность 7 минут, размер 16,4 Mb, кодек MPEG-4). Рекомендуется для просмотра новичкам, не имеющим опыта работы в сети Фидонет;  
2. Мейлер binkd обновлен до последней версии из cvs для Linux, FreeBSD и DragonFlyBSD;
3. Для Arch Linux изменены скрипты сборки пакетов fidoip и ABS - для соответствия новым требованиям системы ABS;
4. Для Windows в конфиг редактора GoldED-NSF добавлена опция сдвигающая дату чуть влево(иначе на Vista крайняя правая цифра была не видна из-за полосы прокутки консоли).
5. Для Linux, FreeBSD и DragonFly BSD исправлен скрипт импорта списка конференций import_arealist_from_windows.sh - меняющий "\" на "/" в путях описаний конференций;
6. Исправлена ошибка в конфигурации hpt htick из-за которой отчеты с описаниями полученных файлов файловых эхоконференций попадали в область Bad вместо Netmail(описание ошибки от Sergey Poziturin 2:5020/2140.2, испраление от Stanislav.Zbarassky 2:5020/2140.233); 
7. Обновлена документация. Добавлен новый раздел - "34. Основанные на fidoip поинткомплекты". 


19.03.10 - fidoip-1.0.5_2.tar

1. Добавлена поддержка ОС DragonFly BSD(i386 и amd64), добавлен скрипт сборки fido_dragonflybsd.sh, для поддержки этой платформы изменен конфигуратор setup_config.bash;
2. Добавлена возможность установки fidoip на коммуникаторах Nokia Internet Tablet Nxxx(пакет  fidoip_1.0.5-2_armel.deb);
3. Для FreeBSD/Linux/DragonFly BSD добавлены скрипты создающие подпись GoldEd-NSF со строкой с информацией об играющей музыкальной композиции для медиаплееров для медиаплееров Amarok, Audacious, Rhythmbox и XMMS(плагины Now Playing находятся в файле nowplaying_fidoip_plugin.tar);
4. Для платформы Windows были справлены несколько ошибок, новая версия - fidoip_win-1.0.5_2.zip.
5. Конфигураторы для Windows(\usr\setup_config.vbs) и юниксподобных ОС(setup_config.bash) теперь создают параметры конфигурационного файла, которой редактор по-умолчанию не заменяет русские большие буквы "Эн" на английскую "Эйч". Вместо этого используются следующие параметры:
 EditSoftCrXLat H
 DispSoftCr Yes
 UseSoftCRxlat Yes
6. Исправлена ошибка сборки binkd для дистрибутива Mandriva Linux;
7. Обновлена документация fidoip, добавлены разделы "Установка поинткомплекта для Mandriva Linux", "Установка поинткомплекта в DragonFly BSD" и "Использование ФИДО в коммуникаторах Nokia Internet Tablet Nxxx", изменён раздел "Русификация во FreeBSD, Linux и DragonFly BSD", расширен раздел " Использование поинткомплекта fidoip в качестве ноды".
 

11.01.10 - fidoip-1.0.5_1.tar

1. Для FreeBSD/Linux в скрипт /usr/local/bin/gl добавлен параметр -x(выход сразу же после 
завершения дочернего процесса). Без этого параметра на старом железе возможна 
лишняя загрузка процессора при выходе из редактора GoldEd, если используется 
скрипт gl;
2. Для FreeBSD/Linux в скрипте fidomail испоравлен комментарий(с fidorecv на fidomail);
3. Для Arch Linux в сборку пакета GoldED добавлены сгенерированные индексы для 
сетевого сегмента 2:5020

30.12.09 - fidoip-1.0.5.tar

1. Добавлены пакеты для 32-разрядных и 64-разрядных дистритбутивов Debian/Ubuntu;
2. Добавлена поддержка работы fidoip для 64-разрядных ОС Windows и FreeBSD -  для Windows заменены 16-разрядные pkunzip.exe и pkzip.exe на unzip.exe и zip.exe, скрипт fido_freebsd.sh теперь собирает порты binkd, hpt* и Golded-NSF для и FreeBSD(amd64) также;
3. golded+ обновлен из cvs до 10.07.2009, также наложен патч Konstantin Kuzov(2:5019/40) GoldEd-NSF(FreeBSD, Linux и Windows) для поддержки стандарта Fidonet Global Hypertext Interface;
4. binkd обновлён из cvs до 05.12.2009(FreeBSD и Linux), для FreeBSD добавлен новый порт new/binkd-fidoip, для Windows в \usr\bin\ добавлен бинарник binkd.exe версии 1.0a-542;   
5. Для Linux, FreeBSD и Windows конфигураторы поинткомплекта автоматически создают конфигурацию, совместимую со стандартом Fidonet Global Hypertext Interface (FGHI) и настраивают его на работу с FGHI-совместимым шлюзом. 
6. Для Linux, FreeBSD и Windows добавлена новый каталог /home/fido/fghigetdir для служебной области FGHIGET("Полученное с fghi.pp.ru"), также в Windows версию добавлен wget.exe для автозагрузки сообщений со шлюза FGHI;
7. Конфигуратор для FreeBSD/Linux(setup_config.bash) теперь создаёт конфигурации не только для зоны 2, но и для всех остальных - сделано это для того, чтобы англоязычные пользователи могли пользоваться fidoip;
8. Для Linux добавлен скрипт для бинарной установки fidoip - fidoip_binary.sh - удобен в случае, когда сборка из исходников по каким-то причинам не получилась;
9. Добавлен плагин nowplaying_fidoip_plugin.tar для медиаплеера Амарок;
10. Добавлен скрипт fidomail для настройки отображения уведомлений о полученных и отправленных сообщениях для десктопов FreeBSD/Linux;
11. Добавлен скрипт clear_fidoip_files.sh для удаления бинарных файлов и конфигов, удобен при обновлении версий fidoip для Linux;
12. Добавлен скрипт clear_cyrillic.bash, который может использоваться для удаления поддержки русского языка англоязычными пользователями;
13. Обновлена русская документация fidoip, адрес онлайн документации изменён - http://sourceforge.net/apps/mediawiki/fidoip, расширены некоторые разделы документации и добавлены новые: "Гипертекстовые возможности ФИДО в fidoip", "Настройка отображения уведомлений о полученных и отправленных сообщениях", "Настройка в подписи GoldEd-NSF строки с информацией об играющей музыкальной композиции", "FIDOSlax Linux - дистрибутив, позволяющий использовать FIDO на компьютере без установки ПО", "Что необходимо для подключения к ФИДО по IP?", "Приступая к работе в ФИДО", в раздел "Использование поинткомплекта fidoip в качестве ноды" добавлен пример настройки fidoip в качестве ноды, выполненный Антоном Кадниковым(2:5010/259);
14. Документация fidoip переведена на английский - добавлен файл english-readme.txt, также английская документация доступна онлайн по адресу - http://sourceforge.net/apps/mediawiki/fidoip/index.php?title=English-readme.


18.09.08 - fidoip-1.0.4.tar

1. Добавлен скрипт fido_arch.sh для автоматической сборки и установки пакетов для Arch Linux;
2. Добавлен скрипт fido_slamd64.sh для автоматической сборки пакетов для Slamd64(64-битная Slackware);
3. Добавлен скрипт multi-configs, который позволяет установить несколько конфигураций fidoip для нескольких пользователей на одном компьютере. Также этот скрипт позволяет переместить с каталог с базами в домашную директорию пользователя.
4. Добавлены патчи позволяющие собрать GoldEd+ на gcc > 4.3;
5. Изменён конфигуратор setup_config.bash, в раздел проверки правильности ввода пользователем добавлен символ "-". Ранее, конфигуратор отказывался принимать адресах вроде no-ip.org; 
6. Изменён relinkapps.sh - служебный скрипт для перелинковки исполняемых файлов и библиотек binkd и husky hpt;
7. При установке на платформе Linux x86_64, чтобы обойти баг scan.c тоссера hpt, который возникает при сканировании области Netmail на amd64, конфигуратор setup_config.bash теперь вместо описания области "netmailarea -b msg" автоматически прописывает "netmail -b squish" в файле /usr/local/etc/fido/config, а также меняет в файле /usr/local/etc/golded+/golded.cfg. В версии fidoip для Windows и при установке fidoip на Linux/FreeBSD i386 никаких изменений в конфигах не производиться. Если в используете fidoip на двух компьютерах, один из которых Linux x86_64 и переносите базы на USB-флешке, для совместимости исправте конфигурационные файлы вручную.
8. При первом запуске после обновления fidoip возможна задержка из-за того, что скрипты recv и send добавлена линковка сообщений: 
/usr/local/sbin/hpt -c /usr/local/etc/fido/config link
После запуска GoldEd+, для эхоконференций по нажатию комбинаций клавиш Shift+# теперь можно перейти в режим просмотра дерева ответов(тредов). 
9. Обновлена документация fidoip и wiki http://fidoip.wiki.sourceforge.net/
В документацию добавлены следующие разделы: "Установка поинткомплекта для Slamd64 Linux", "Установка поинткомплекта для Arch Linux", "Несколько пользователей fidoip одном компьютере" и "Если возникли проблемы".

01.07.2008 - fidoip-1.0.1.tar

 - добавлен конфигуратор setup_config.bash - для автоматической настройки конфигурационных файлов fidoip;
 - добавлен скрипт fido_freebsd.sh для сборки и установки пакетов fidoip для FreeBSD;
 - добавлены обновленные и модифицированные версии портов FreeBSD для husky hpt и Golded;
 - добавлен установочный комплект fidoip для Windows fidoip_win32.zip;
 - добавлен конфигуратор для Windows - setup_config.vbs, шаблоны и структура каталогов, совместимая с каталогами fidoip для FreeBSD и Linux;
 - добавлены русская справка, шаблон для редактора GoldEd+ и интерфейс редактора - также по-умолчанию теперь на русском языке;
 - исправлена ошибка падения GoldED+, которая возникала после нажатия клавиши F9 при просмотре списка сообщений в эхе;
 - добавлены дополнительные утилиты husky - husky-htick, husky-hptkill, husky-hptsqfix, husky-hpucode, , husky-nltools, husky-sqpack, husky-bsopack - которые могут быть полезны не толлько для ноды, но и для поинта.
 -  для дистрибутивов Linux с системой инициализации AT&T добавлен скрипт /etc/init.d/binkd;
 - для дистрибутивов Linux с системой инициализаци BSD добавлен скрипт /etc/rc.d/binkd;
 - изменён каталог конфигурационных файлов GoldEd+. Теперь он расположен в /usr/local/etc/golded+/;
 -  скрипты для запуска fidoip были перемещены из /usr/local/sbin в /usr/local/sbin/;
 - добавлен каталог /home/2uplink, который используется для отправки файлов аплинку;
 - добавлен каталог /home/announce, который используется htick;
 - добавлен скрипт save_arealist.sh - для сохранения списка эх, используется перед обновлением поинткомплекта fidoip; 
 - добавлен скрипт export_arealist_to_windows.sh   - используется при миграции из Unix в Windows или если базы сообщений хранятся на USB-flash диске; 
 - добавлен скрипт import_arealist_from_windows.sh - используютс при миграции из Windows в Unix или если базы сообщений хранятся на USB-flash диске;
 - добавлен скрипт nodelist.sh             - для генерации индеков нодлиста;
 - добавлен скрипт binkd_yesterday_stat.sh - статистика соединений binkd за последние сутки; 
 - добавлен скрипт binkd_weekly_stat.sh    - статистика соединений binkd за неделю; 
 - добавлен скрипт binkd_monthly_stat.sh   - статистика соединений binkd за месяц;
 - добавлен скрипт binkdstat.pl            - общая статистика соединений binkd;
 - добавлен скрипт stat-binkd.pl           - общая статистика соединений binkd;
 - добавлен скрипт hpt_info.sh             - общая статистика соединений binkd;
 - добавлен скрипт hpt_area.pl             - статистика husky hpt по конференциям;
 - добавлен скрипт linkarea_stat.sh        - статистика husky hpt по конференциям;
 - добавлен скрипт hpt_log.pl              - общая статистика husky hpt.
 - добавлен скрипт rs.bat    - скрипт для отправки и получения сообщений в версии fidoip для Windows; 
 - добавлен скрипт export_windows_arealist.bat   - используется при переходе из Windows во FreeBSD/Linux и/или если базы сообщений хранятся на USB-flash диске;
 - добавлен скрипт unsubscribe.bat   - используется для отписки от эх; 
 - добавлен скрипт import_unix_arealist.bat - используется при переходе из Unix в Windows и/или если базы сообщений хранятся на USB-flash диске;
 - добавлен скрипт checkhpt.bat             - используется для проверки правильности конфигурации тоссера hpt; 
 - добавлен скрипт nodelist.bat             - используется для генерации индеков нодлиста;
 - добавлен файл описания быстрой установки \usr\windows.quick.start.txt для fidoip для Windows
 - обновлены файлы документации fido.rus.koi и fido.rus.utf;
 - добавлено описание использования fidoip на USB-flash диске.
 
    
11.04.2008 -fidoip.tar, номер номер версии не указывался.
 - добавлен скрипты fido_linux_koi.64.sh, fido_linux_utf.64.sh для сборки и установки fidoip для 64-х разрядных дистрибутивов Linux;
 - добавлен скрипт gl для запуска GoldEd через luit при кодировке системы UTF-8;
 - файл конфигурации  GoldEd+ изменён с /usr/local/etc/decode.txt на /usr/local/etc/golded.cfg.
 - в файле конфигурации GoldEd+ /usr/local/etc/golded.cfg была добавлена опция, читающая список эх из файла конфигурации husky;
 - Строка с утилитой fconf2golded, отвечающая за генерацию конфига эх в конфиге GoldED, была исключена из скриптов recv и send.
 

20.03.2008 -fidoip.tar, номер номер версии не указывался.
 - добавлен скрипт fido_linux_utf.sh для сборки и установки fidoip для дистрибутивов Linux с кодировкой по умолчанию UTF-8;
 - добавлен скрипт g - для запуска GoldED+ через screen при кодировке cbcntvs UTF-8;
 - скрипт fido_linux.sh переименован в скрипт fido_linux_koi.sh.

29.12.2007 - fidoip.tar, номер номер версии не указывался.
 - добавлен скрипт fido_linux.sh для сборки и установки fidoip для остальных дистрибутивов Linux.
 - добавлена подробная документация по настройке fidoip - файл fido.rus в кодировке KOI8-R.
 
05.11.2007 - fidoip.tar, номер номер версии не указывался и в Internet не выкладывался. Архив включал:
 - скрипт fido_slack.sh для сборки пакетов fidoip для Slackware Linux из SlackBuild'ов;
 - SlackBuild'ы для binkd, husky hpt и Golded+;
 -  

Февраль 2007 - установка binkd, husky hpt, golded из портов FreeBSD, согласно статье М.С. Маликова "ФИДО поинт-станция во FreeBSD через TCP", которую можно найти по адресу http://bouncer.ru/dmq/freebsd_fido.html.
Настройка конфигурационых файлов /usr/local/etc/binkd.cfg, /usr/local/etc/fido/config, /usr/local/etc/decode.txt и скрпитов recv, send и ge.  

 

  
